Bug 654394 - [abrt] man-db-2.5.7-2.fc14: raise: Process /usr/bin/man was killed by signal 6 (SIGABRT)
[abrt] man-db-2.5.7-2.fc14: raise: Process /usr/bin/man was killed by signal ...
Product: Fedora
Classification: Fedora
Component: man-db (Show other bugs)
i686 Unspecified
low Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
: 655124 667683 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2010-11-17 13:51 EST by Orion Poplawski
Modified: 2011-01-20 09:40 EST (History)
5 users (show)

See Also:
Fixed In Version: man-db-2.5.7-7.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-01-04 09:40:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (4.24 KB, text/plain)
2010-11-17 13:51 EST, Orion Poplawski
no flags Details
ifort man page (445.55 KB, application/x-troff-man)
2010-11-17 13:53 EST, Orion Poplawski
no flags Details
man --debug ifort output (64.42 KB, text/plain)
2010-11-24 11:42 EST, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2010-11-17 13:51:45 EST
abrt version: 1.1.13
architecture: i686
Attached file: backtrace
cmdline: man ifort
component: man-db
crash_function: raise
executable: /usr/bin/man
package: man-db-2.5.7-2.fc14
rating: 4
reason: Process /usr/bin/man was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
How to reproduce: I have the Intel Fortran Composer XE 2011 installed.  Ran "man ifort" to get the man page.  Happens every time.
time: 1290019846
uid: 1744
Comment 1 Orion Poplawski 2010-11-17 13:51:47 EST
Created attachment 461127 [details]
File: backtrace
Comment 2 Orion Poplawski 2010-11-17 13:53:08 EST
Created attachment 461131 [details]
ifort man page
Comment 3 Orion Poplawski 2010-11-17 13:57:41 EST
(gdb) print *decomp
$2 = {ncommands = 0, commands_max = 4, commands = 0x814cc60, pids = 0x0, statuses = 0x0, 
  want_in = 0, want_out = -1, 
  want_infile = 0x8076c30 "/nfs/local/intel/composerxe-2011.0.084/man/en_US/man1/ifort.1", 
  want_outfile = 0x0, infd = -1, outfd = -1, infile = 0x0, outfile = 0x0, source = 0x0, 
  buffer = 0x0, buflen = 0, bufmax = 0, line_cache = 0x0, peek_offset = 0, ignore_signals = 0}

Looks like it can't handle uncompressed man pages?
Comment 4 Ivana Varekova 2010-11-24 09:51:25 EST
Hello, I was not able to reproduce this problem, can you please attach here the output of 
man --debug ifort 
Comment 5 Orion Poplawski 2010-11-24 11:42:48 EST
Created attachment 462689 [details]
man --debug ifort output
Comment 6 Colin Watson 2010-12-02 08:06:03 EST
I fixed this bug in man-db 2.5.8.  Here's the NEWS file entry:

        o Fix assertion failure on 'man -l' with an uncompressed page and
          any of --no-hyphenation, --no-justification, or a non-English

(Although I imprecisely wrote "non-English" here, the "en_US" in the path in this case is enough to trigger the bug.)

If you'd like to backport the fix rather than upgrading to 2.5.8 or newer, you should be able to use the patch in http://bazaar.launchpad.net/~cjwatson/man-db/trunk/revision/1199 on top of 2.5.7.
Comment 7 Colin Dean 2010-12-15 08:44:28 EST
The same symptoms occur viewing any NetApp Data Ontap man pages from Fedora 14.  The above patch applies cleanly to 2.5.7 source RPM and fixes the problem.
Comment 8 Ivana Varekova 2011-01-04 08:52:02 EST
*** Bug 655124 has been marked as a duplicate of this bug. ***
Comment 9 Fedora Update System 2011-01-04 09:38:45 EST
man-db-2.5.7-7.fc14 has been submitted as an update for Fedora 14.
Comment 10 Ivana Varekova 2011-01-04 09:40:13 EST
Thanks a lot Colin for your investigation.
In rawhide there is man-db-2.5.9 thus the problem is fixed, in fc14 the patch is in man-db-2.5.7-7.fc14 which was just submitted.
Comment 11 Fedora Update System 2011-01-08 16:26:59 EST
man-db-2.5.7-7.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Ivana Varekova 2011-01-20 09:40:28 EST
*** Bug 667683 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.